com.sun.source.doctree

## Interface AuthorTree

- All Superinterfaces:
    BlockTagTree, DocTree

      @Exported
      public interface AuthorTree
      extends BlockTagTree

  A tree node for an @author block tag.

  @author name-text.

  Since:
    1.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends DocTree>` | `getName()`

    - ### Methods inherited from interface com.sun.source.doctree.BlockTagTree

      `getTagName`

    - ### Methods inherited from interface com.sun.source.doctree.DocTree

      `accept, getKind`

- - ### Method Detail

    - #### getName

          List<? extends DocTree> getName()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.